Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charva.awt.event
Class InvocationEvent

    java.lang.Object
      java.util.EventObject
          charva.awt.event.AWTEvent
              charva.awt.event.InvocationEvent

All Implemented Interfaces:
  java.io.Serializable

public class InvocationEvent
extends AWTEvent

An event which executes the `run()` method on a `Runnable` when dispatched by the AWT event dispatcher thread.

See Also:
  Serialized Form

Field Summary
`protected java.lang.Object` | `_notifier` The (possibly null) object whose notifyAll() method will be called as soon as the Runnable's run() method has returned.
`protected java.lang.Runnable` | `_runnable` The Runnable whose run() method will be called.

Fields inherited from class charva.awt.event.AWTEvent
`ACTION_PERFORMED, ADJUSTMENT_EVENT, FOCUS_GAINED, FOCUS_LOST, GARBAGE_COLLECTION, INVOCATION_EVENT, ITEM_STATE_CHANGED, KEY_PRESSED, KEY_TYPED, LIST_SELECTION, MOUSE_EVENT, PAINT_EVENT, RESERVED_ID_MAX, SCROLL_EVENT, SYNC_EVENT, WINDOW_CLOSING, WINDOW_OPENED`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`InvocationEvent(java.lang.Object source_, java.lang.Runnable runnable_)` Constructs an InvocationEvent with the specified source which will execute the Runnable's run() method when dispatched by the AWT dispatch thread.
`InvocationEvent(java.lang.Object source_, java.lang.Runnable runnable_, java.lang.Object notifier_)` Constructs an InvocationEvent with the specified source which will execute the Runnable's run() method when dispatched by the AWT dispatch thread.

Method Summary
`void` | `dispatch()` Executes the runnable's run() method and then (if the notifier is non-null) calls the notifier's notifyAll() method.

Methods inherited from class charva.awt.event.AWTEvent
`getID`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _runnable

    protected java.lang.Runnable _runnable

  The Runnable whose run() method will be called.

### _notifier

    protected java.lang.Object _notifier

  The (possibly null) object whose notifyAll() method will be called as soon as the Runnable's run() method has returned.

Constructor Detail

### InvocationEvent

    public InvocationEvent(java.lang.Object source_,
                           java.lang.Runnable runnable_)

  Constructs an InvocationEvent with the specified source which will execute the Runnable's run() method when dispatched by the AWT dispatch thread.

Parameters:
  `source_` - the source of this event.
  `runnable_` - the Runnable whose run() method will be called. when the run() method has returned.

### InvocationEvent

    public InvocationEvent(java.lang.Object source_,
                           java.lang.Runnable runnable_,
                           java.lang.Object notifier_)

  Constructs an InvocationEvent with the specified source which will execute the Runnable's run() method when dispatched by the AWT dispatch thread. After the run() method has returned, the notifier's notifyAll() method will be called.

Parameters:
  `source_` - the source of this event.
  `runnable_` - the Runnable whose run() method will be called.
  `notifier_` - the object whose notifyAll() method will be called when the run() method has returned.

Method Detail

### dispatch

    public void dispatch()

  Executes the runnable's run() method and then (if the notifier is non-null) calls the notifier's notifyAll() method.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD